/*--------------------------------------------------------------------------*\
 |                                                                          |
 |  Copyright (C) 2014                                                      |
 |                                                                          |
 |         , __                 , __                                        |
 |        /|/  \               /|/  \                                       |
 |         | __/ _   ,_         | __/ _   ,_                                | 
 |         |   \|/  /  |  |   | |   \|/  /  |  |   |                        |
 |         |(__/|__/   |_/ \_/|/|(__/|__/   |_/ \_/|/                       |
 |                           /|                   /|                        |
 |                           \|                   \|                        |
 |                                                                          |
 |      Enrico Bertolazzi                                                   |
 |      Dipartimento di Ingegneria Indutriale                               |
 |      Universita` degli Studi di Trento                                   |
 |      Via Sommarive 9, I-38123, Povo, Trento                              |
 |      email: enrico.bertolazzi@unitn.it                                   |
 |                                                                          |
 |      version: 0.1                                                        |
 |                                                                          |
\*--------------------------------------------------------------------------*/

// to avoid double inclusion
#ifndef TIME_METER_HH
#define TIME_METER_HH

class TimeMeter {
  long   _sec, _usec ;
  double _elapsed ;

public:

  TimeMeter()
  : _sec(0)      // _sec = 0
  , _usec(0)     // _usec = 0
  , _elapsed(0)  // _elapsed = 0
  {}

  ~TimeMeter() {} // nothing to do, no explicit allocated memory

  void start() ;
  void stop() ;
  double elapsed() const { return _elapsed ; }
  double elapsedMilliseconds() const { return _elapsed*1000 ; }
} ;

#endif
